Summary:	Desktop manager for the Xfce Desktop Environment
Name:		xfdesktop
Version: 	4.4.1
Release:	%mkrel 3
License:	GPL
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	%{name}-%{version}.tar.bz2
# Xfce menu-method script
Source1:	xfce-menu-method.bz2
# Remove "Mandriva Linux" submenu from menu2.xml
Source2:	xfce-4.2.2-menu_method_postrun.sh.bz2
# (saispo) add Xubuntu patches
Patch4:		02_show_context_menu.patch  
Patch5:		03_special_icons_config.patch  
Patch6:		10_backdrop_zoom.patch
# (tpg) use  wallpaper from mandriva-theme
Patch7:		%{name}-4.4.1-mdv-wallpaper.patch
# (tpg) show wallpaper by default
Patch8:		%{name}-4.4.1-show-wallpaper.patch
# (tpg) xfce menu has a caption "Mandriva" and uses mdv star icon
Patch9:		%{name}-4.4.1-mdv-menu.patch
Patch10:	%{name}-4.4.1-fix-memleak.patch
Requires:	mandriva-theme
Requires:	ia_ora-gnome
Requires:	desktop-common-data
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	libxml2-devel >= 2.4.0
BuildRequires:	xfce-panel-devel >= 4.3.0
BuildRequires:	exo-devel
BuildRequires:	thunar-devel >= 0.8.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The desktop manager sets the background image, provides a right-click 
menu to launch applications and can optionally show files 
(including application launchers) or iconified windows. It includes 
gradient support for background color, saturation support for background image, 
real multiscreen and xinerama support, and it provides a desktop menu editor.

%prep
%setup -q
%patch4 -p1 -b .show-context
%patch5 -p1 -b .special-icons
%patch6 -p1 -b .backdrop
%patch7 -p0 -b .wallpaper
%patch8 -p0 -b .show
%patch9 -p0 -b .menu
%patch10 -p0 -b .memleak

# use www-browser
#perl -pi -e 's#mozilla#www-browser#' menu.*
# use thunar as default fm
perl -pi -e 's#xffm#thunar#g' menu.*

%build
%configure2_5x \
	--sysconfdir=%{_sysconfdir}/X11 \
	--disable-static \

%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_sysconfdir}/menu-methods
bzcat %SOURCE1 > %{buildroot}%{_sysconfdir}/menu-methods/xfce4
bzcat %SOURCE2 > %{buildroot}%{_sysconfdir}/X11/xdg/xfce4/desktop/menu_method_postrun.sh

# fix permissions
chmod 0755 %{buildroot}%{_sysconfdir}/X11/xdg/xfce4/desktop/menu_method_postrun.sh

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO COPYING AUTHORS
%config(noreplace) %{_sysconfdir}/X11/xdg/*
%attr(755,root,root) %config(noreplace) %{_sysconfdir}/menu-methods/xfce4
%{_bindir}/*
%{_libdir}/xfce4/*
%{_datadir}/applications/*
%{_iconsdir}/hicolor/*
%{_datadir}/pixmaps/*
%{_datadir}/xfce4/*
%{_datadir}/xfce4-menueditor/xfce4-menueditor.ui
%{_mandir}/man1/*


%changelog
* Mon Jun 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-3mdv2007.1
+ Revision: 35002
- add P10 (fix memleak)
- add P9 (sets caption and icon for menu button)
- add P8 (show wallpaper by default)
- provide P7 (use wallpaper from mandriva-theme)
- set requires on ia_ora-gnome
- update description
- drop __libtoolize
- disable compiling static files rather than removing them
- use macros in %%post and %%postun
- spec file clean

* Fri May 25 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-2mdv2008.0
+ Revision: 31090
- Add Xubuntu patches and Mandriva default theme

* Fri Apr 20 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-1mdv2008.0
+ Revision: 16126
- New release 4.4.1


* Thu Feb 01 2007 Lev Givon <lev@mandriva.org> 4.4.0-2mdv2007.0
+ Revision: 115832
- Add thunar-devel build requirement needed by new desktop file icon
  feature.

* Tue Jan 23 2007 plouf <plouf> 4.4.0-1mdv2007.1
+ Revision: 112328
- New release 4.4.0

* Fri Dec 15 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.99.2-1mdv2007.1
+ Revision: 97239
- Remove patch0
- New release 4.3.99.2
- Import xfdesktop

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.2-1mdv2007.0
- 4.3.90.2 (Xfce-4.4 beta2)
- disable mdk menu patch for the moment

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.org> 4.3.90.1-1mdk
- Tue Apr 18 2006 trem <trem@mandriva.org> 4.3.90.1-1mdk
- 4.3.90.1

* Sat Mar 11 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r20246.1mdk
- svn r20246
- buildrequires exo-devel

* Tue Feb 07 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.1mdk
- 4.3.0 svn r19739
- require mandriva-theme
- rediff P0, P3
- add more menu locales to P2
- don't run libtoolize

* Fri Jan 13 2006 Marcel Pol <mpol@mandriva.org> 4.2.3-1mdk
- 4.2.3
- remove more unneeded devel files
- fix permissions of postrun script

* Fri Jun 03 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-2mdk
- add menu_method_postrun.sh to remove submenu from menu2.xml

* Wed May 25 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-1mdk
- 4.2.2
- %%mkrel
- requires desktop-common-data

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Mon Mar 07 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-4mdk
- P3: define default backdrop
- use www-browser, require mandrake_desk

* Sat Feb 05 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-3mdk
- update menu-method to include icons
  Thanks to Roman Moravcik <morgan@pobox.sk>

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce
- remove unneeded devel files

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Tue Dec 28 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-2mdk
- buildrequires xfce-panel-devel

* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)
- rediff P0
- drop P1, merged upstream

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)
- disable P0 and P1

* Thu Nov 18 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-4mdk
- Patch2: use mandrake menu, disable xdg menu
- update menu-method to produce valid xml file

* Wed Nov 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 4.1.99.1-3mdk
- Regenerate patch0 (and make Marcel happy :)

* Wed Nov 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 4.1.99.1-2mdk
- Patch1: fix UTF8 in desktop file

* Tue Nov 16 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1
- s/XFce/Xfce
- disable P0 for now
- update filelist

* Sat Oct 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 4.0.6-2mdk
- Patch0: fix background dithering

* Tue Jul 13 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sun Apr 18 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5

* Sat Apr 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

